c
c ------------------------------------------------------------
c
      subroutine an1step(maxmx,mbc,mx,meqn,maux,
     &           xlower,dx,t,dt,q,qold,aux,auxold,
     &           s,qrk1,work,mwork,mthlim,mwaves,mthbc)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension qold(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension auxold(1-mbc:maxmx+mbc,maux)
      dimension qrk1(1-mbc:maxmx+mbc,meqn)
      dimension s(1-mbc:maxmx+mbc,mwaves)
      dimension work(mwork)
      dimension mthlim(mwaves)    
      dimension mthbc(2)    
c
c     # hyperbolic model for dispersive wave problems
c     # relaxation step
c
      call hdsw_relax(maxmx,mbc,mx,meqn,maux,
     &     q,qold,aux,auxold,dt)
      return
c
      end
