c
c --------------------------------------------------------------
c
      subroutine estdt(maxmx,mbc,mx,meqn,maux,dx,dt,cfl,
     &           q,aux)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension qloc(20),aux0(20)
c
c     # set initial variable time step
c
      cmax  = 0.d0
      dxmin = 1.0d20
c
      do i=1,mx
         do m=1,meqn
            qloc(m) = q(i,m)
            enddo
c
         do ma=1,maux
            aux0(ma) = aux(i,ma)
            enddo
c
         call ctomfd(qloc,aux0,u0,f10,f20,f30,c0)
c      
         cmax  = dmax1(cmax,0.5d0*(u0+dsqrt(u0**2+4.0d0*c0)))
         dxmin = dmin1(dxmin,aux(i,1)*dx)
         enddo
c  
      if (cmax .ne. 0.d0) dt = cfl*dxmin/cmax
      return
c
      end
