c
c -------------------------------------------------------------------
c
      subroutine auxbc1_lr(maxmx,mbc,mx,xlower,dx,
     &           maux,auxl,auxr,t,dt,mthbc)
      implicit double precision (a-h,o-z)
      common /auxbc_info/ ma1,ma2
      dimension auxl(1-mbc:maxmx+mbc,maux)
      dimension auxr(1-mbc:maxmx+mbc,maux)
      dimension mthbc(2)
c
c     # auxiliary boundary condition 
c
c     # left boundary:
      go to (110,110,120,110) mthbc(1)+1
c
 100  continue
      go to 199
c
 110  continue
c     # zero-order extrapolation
c
      do mau=ma1,ma2 
         do ibc=1,mbc
            auxl(1-ibc,mau) = auxl(1,mau)
            auxr(1-ibc,mau) = auxl(1,mau)
            enddo
         enddo
      go to 199

 120  continue
c     # periodic
c
      do mau=ma1,ma2 
         do ibc=1,mbc
            auxl(1-ibc,mau) = auxl(mx+1-ibc,mau)
            auxr(1-ibc,mau) = auxr(mx+1-ibc,mau)
            enddo
         enddo
      go to 199

 130  continue
      go to 199
c
 199  continue
c     # right boundary:
      go to (210,210,220,210) mthbc(2)+1
c
 200  continue
      go to 299

 210  continue
c     # zero-order extrapolation
c
      do mau=ma1,ma2
         do ibc=1,mbc
            auxl(mx+ibc,mau) = auxr(mx,mau)
            auxr(mx+ibc,mau) = auxr(mx,mau)
            enddo
         enddo
      go to 299
c
 220  continue
c     # periodic 
c
      do mau=ma1,ma2
         do ibc=1,mbc
            auxl(mx+ibc,mau) = auxl(ibc,mau)
            auxr(mx+ibc,mau) = auxr(ibc,mau)
            enddo
         enddo
      go to 299

 230  continue
      go to 299

 299  continue
      return
c
      end
