c
c -------------------------------------------------------------------
c
      subroutine bc1(maxmx,meqn,mbc,mx,xlower,dx,q,maux,aux,
     &           t,dt,mthbc)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension mthbc(2)
c
      go to (100,110,120,130) mthbc(1)+1
c
  100 continue
c     # user-specified boundary conditions go here in place of error output
      write(6,*) '*** ERROR *** mthbc(1)=0 and no BCs specified in bc1'
      stop
      go to 199
c
 110  continue
c     # zero-order extrapolation:
c
      do m=1,meqn
         do ibc=1,mbc
            q(1-ibc,m) = q(1,m)
            enddo
         enddo
c
      do mau=6,7    
         do ibc=1,mbc
            aux(1-ibc,mau) = aux(1,mau)
            enddo
         enddo
      go to 199

 120  continue
c     # periodic:  
c
      do m=1,meqn
         do ibc=1,mbc
            q(1-ibc,m) = q(mx+1-ibc,m)
            enddo
         enddo
c
      do mau=6,7
         do ibc=1,mbc
            aux(1-ibc,mau) = aux(mx+1-ibc,mau)
            enddo
         enddo
      go to 199

 130  continue
c     # solid wall 
c
      go to 199
c
 199  continue
c
c     # right boundary:
      go to (200,210,220,230) mthbc(2)+1
c
 200  continue
c     # user-specified boundary conditions go here in place of error output
      write(6,*) '*** ERROR *** mthbc(2)=0 and no BCs specified in bc2'
      stop
      go to 299

 210  continue
c     # zero-order extrapolation:
c
      do m=1,meqn
         do ibc=1,mbc
            q(mx+ibc,m) = q(mx,m)
            enddo
         enddo
c
      do mau=6,7
         do ibc=1,mbc
            aux(mx+ibc,mau) = aux(mx,mau)
            enddo
         enddo
      go to 299
c
 220  continue
c     # periodic:  
c
      do m=1,meqn
         do ibc=1,mbc
            q(mx+ibc,m) = q(ibc,m)
            enddo
         enddo
c
      do mau=6,7 
         do ibc=1,mbc
            aux(mx+ibc,mau) = aux(ibc,mau)
            enddo
         enddo
      go to 299

 230  continue
c     # solid wall 
c
      go to 299

 299  continue
      return
c
      end
