c
c ----------------------------------------------------------
c
      subroutine bc1_aux(maxmx,ma1,ma2,mbc,mx,
     &           xlower,dx,maux,aux,t,dt,mthbc)
      implicit double precision (a-h,o-z)
      dimension aux(1-mbc:maxmx+mbc,maux)
      integer mthbc(2)
c
c     # left boundary
      go to (100,110,120,110) mthbc(1)+1
      goto 199
c
 100  continue
      go to 199
c
 110  continue
c     # zero-order extrapolation
      do ma=ma1,ma2
         do ibc=1,mbc
            aux(1-ibc,ma) = aux(1,ma)
            enddo
         enddo
      go to 199

 120  continue
c     # periodic
      do ma=ma1,ma2
         do ibc=1,mbc
            aux(1-ibc,ma) = aux(mx+1-ibc,ma)
            enddo
         enddo
      go to 199
c
 130  continue
c     # solid wall
c
      write(6,*) 'error in bc1_aux: mthbc(1)=',mthbc(1)
      stop
      go to 199
c
 199  continue
c     # right boundary
      go to (200,210,220,210) mthbc(2)+1
      goto 299
c
 200  continue
c     # user-specified boundary conditions go here in place of error output
      write(6,*) '*** ERROR *** mthbc(2)=0 and no BCs specified in bc2'
      stop
      go to 299

 210  continue
c     # zero-order extrapolation
      do ma=ma1,ma2
         do ibc=1,mbc
            aux(mx+ibc,ma) = aux(mx,ma)
            enddo
         enddo
      go to 299

 220  continue
c     # periodic
      do ma=ma1,ma2
         do ibc=1,mbc
            aux(mx+ibc,ma) = aux(ibc,ma)
            enddo
         enddo
      go to 299

 230  continue
c     # solid wall
c
      write(6,*) 'error in bc1_aux: mthbc(1)=',mthbc(1)
      stop
      go to 299

 299  continue
      return
c
      end
