c
c --------------------------------------------------------------
c
      subroutine qinit(maxmx,meqn,mbc,mx,xlower,dx,
     &           q,maux,aux)
      implicit double precision (a-h,o-z)
      common /loops/ xloop(10),yloop(10),zloop(10),rloop(10),
     &        axloop(10),bxloop(10),inbloop(2,2,10)
      common /mfluid/ geos(10),an(10),bn(10),cn(10),
     &        dn(10),en(10),rref(10),c2ref(10),tref(10),
     &        cv(10),emu(10),rhocav(10),pcav(10),
     &        ccav(10),rhosat(10),psat(10),csat(10),
     &        rhovm1(10),rhovm2(10),psi(10),zf(10),zv(10),
     &        mwoods,mphase
      common /phypar/ den0,velx0,vely0,velz0,pr0
      common /bbm0/ wk,a0
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension qloc(20),aux0(20)
c
c     # set initial conditions for q
c
      do i=1-mbc,mx+mbc
c        # scale coefficient in front of u_{xxt}
         aux(i,5) = an(1)
c
c        # auxiliary variables
         do ma=6,7
            aux(i,ma) = 0.0d0              
            enddo
         enddo
c
c     # set initial conditions for q
      do i=1-mbc,mx+mbc
         xc = aux(i,2)
c
         do ma=1,maux
            aux0(ma) = aux(i,ma)
            enddo
c
         if (xc .lt. 0.0d0) then
             u = rref(2)+
     &           0.5d0*(rref(1)-rref(2))*
     &           (1.d0+dtanh((xloop(1)-dabs(xc))/wk))
             ux = -0.5d0*(rref(1)-rref(2))/wk/
     &            dcosh((xloop(1)-dabs(xc))/wk)**2
             uxx = -2.0d0/wk*dtanh((xloop(1)-dabs(xc))/wk)*ux
         else
             u = rref(2)+
     &           0.5d0*(rref(1)-rref(2))*
     &           (1.d0+dtanh((xloop(1)-xc)/wk))
             ux = -0.5d0*(rref(1)-rref(2))/wk/
     &            dcosh((xloop(1)-xc)/wk)**2
             uxx = -2.0d0/wk*dtanh((xloop(1)-xc)/wk)*ux
         endif
c
         q(i,1)   = u-uxx
         aux(i,6) = u
         enddo
      return    
c      
      end
