c
c -----------------------------------------------------
c
      program driver
      implicit double precision (a-h,o-z)
      parameter(maxmx = 60000)
      parameter(mwork = 6660666)
      parameter(mrkwork = 180018)
      parameter(mbc = 3)
      parameter(meqn = 3)
      parameter(mwaves = 2)
      parameter(maux = 7)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension work(mwork)
      dimension rkwork(mrkwork)
      dimension mthlim(mwaves)
      real*4 cpusec,cputm(2) 
c
      call cpu_time(cpustart) 
c
      call tclaw1ez(maxmx,meqn,mwaves,mbc,maux,mwork,mthlim,
     &     q,aux,work,mrkwork,rkwork)
c
      call cpu_time(cpuend)
      cpusec = cpuend-cpustart
c
      write(10,*)
     &    'Program has been running for', cpusec, 'seconds.'
      stop 
c
      end
