c
c --------------------------------------------------------------
c
      subroutine qinit(maxmx,meqn,mbc,mx,xlower,dx,
     &           q,maux,aux)
      implicit double precision (a-h,o-z)
      common /loops/ xloop(10),yloop(10),zloop(10),rloop(10),
     &        axloop(10),bxloop(10),inbloop(2,2,10)
      common /mfluid/ geos(10),an(10),bn(10),cn(10),
     &        dn(10),en(10),rref(10),c2ref(10),tref(10),
     &        cv(10),emu(10),rhocav(10),pcav(10),
     &        ccav(10),rhosat(10),psat(10),csat(10),
     &        rhovm1(10),rhovm2(10),psi(10),zf(10),zv(10),
     &        mwoods,mphase
      common /phypar/ den0,velx0,vely0,velz0,pr0
      common /bbm0/ a0,a1
      common /compi/ pi
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension qloc(20),aux0(20)
c
c     # set initial conditions for q
c     # Gaussian function
c
      do i=1-mbc,mx+mbc
c        # scale coefficient in front of u_{xxt}
         aux(i,5) = an(1)
c
c        # auxiliary variables
         do ma=6,7
            aux(i,ma) = bn(1)
            enddo
         enddo
c
      eL  = xloop(1)
      eL2 = xloop(1)*xloop(1)
c
      do i=1-mbc,mx+mbc
         xc = aux(i,2)
c
         do ma=1,maux
            aux0(ma) = aux(i,ma)
            enddo
c
         xi1 = (eL2-4.0d0*xc)/(2.0d0*dsqrt(2.0d0)*eL)
         xi2 = (eL2+4.0d0*xc)/(2.0d0*dsqrt(2.0d0)*eL)
c
c         uint1 = eL*dexp(-xc)/dsqrt(2.d0*pi)*
c     &            (1.0d0-derf(xi1))
c         uint2 = eL*dexp(+xc)/dsqrt(2.d0*pi)*
c     &            (1.0d0-derf(xi2))
c
         uint1 = eL*dexp(-xc)/dsqrt(2.d0*pi)*derfc(xi1)
         uint2 = eL*dexp(+xc)/dsqrt(2.d0*pi)*derfc(xi2)
c
c         write(66,*) xi1,uint1           
c         write(66,*) xi2,uint2  
c
         u = a0+a1/dsqrt(pi)*dexp(-xc**2/eL2)
         v = -0.5d0*(u-a0)*(u-a0)+
     &        0.5d0*dexp(eL2/8.0d0)*(uint1+uint2)
         w = -2.0d0*xc/eL2*(u-a0)
c
         call prmtoc(qloc,aux0,u,v,w)
c
         do m=1,meqn
            q(i,m) = qloc(m)
            enddo
         enddo
      return    
c      
      end
