c
c --------------------------------------------------------------
c
      subroutine out1(maxmx,meqn,mbc,mx,xlower,dx,q,t,iframe,
     &           aux,maux,work,mwork)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension work(mwork)
      character*10 fname1,fname2
      logical outaux
c
c     # Output results 
c     # in 1 dimension
c
c     # Write the results to the file fort.q<iframe>
c     # first create the file name and open file
c
      fname1 = 'fort.qxxxx'
      fname2 = 'fort.txxxx'
      nstp = iframe
      do 55 ipos=10,7,-1
         idigit = mod(nstp,10)
         fname1(ipos:ipos) = char(ichar('0')+idigit)
         fname2(ipos:ipos) = char(ichar('0')+idigit)
         nstp = nstp/10
 55      continue

      open(unit=50,file=fname1,status='unknown',form='formatted')
      open(unit=60,file=fname2,status='unknown',form='formatted')
c
c     # the following parameters are used in amrclaw where there are
c     # multiple grids.  Here they are all set to 1:
      ngrids = 1
      mptr   = 1
      level  = 1

      write(50,1001) mptr,level,mx
      write(50,1002) xlower,dx
c
       do i=1,mx
          do m=1,meqn
c            # exponents with more than 2 digits cause problems reading
c            # into matlab... reset tiny values to zero:
             if (dabs(q(i,m)) .lt. 1d-30) q(i,m) = 0.d0
             enddo
c
          write(50,1005) (q(i,m),m=1,meqn)
          enddo   
c
      mqout = 3
      write(60,1000) t,mqout,ngrids,maux
c
      close(unit=50)
      close(unit=60)
c
      call out0(maxmx,meqn,mbc,mx,xlower,dx,q,t,iframe,aux,maux)
      return
c
 1000 format(e26.16,'    time', /,
     &       i5,'                 meqn'/,
     &       i5,'                 ngrids'/,
     &       i5,'                 maux'/,/)
 1001 format(i5,'                 grid_number',/,
     &       i5,'                 AMR_level',/,
     &       i9,'                 mx')
 1002 format(e18.8,'    xlow', /,
     &       e18.8,'    dx', /)
 1005 format(3e20.12)
      end
c
c ----------------------------------------------------------------------
c
      subroutine out0(maxmx,meqn,mbc,mx,xlower,dx,q,t,iframe,aux,maux)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      character*10 fname
c
c     # solution output
c
      fname = 'fort.cxxxx'
      nstp = iframe
      do ipos = 10,7,-1
         idigit = mod(nstp,10)
         fname(ipos:ipos) = char(ichar('0')+idigit)
         nstp = nstp/10
         enddo   

      open(unit=50,file=fname,status='unknown',form='formatted')
c
      do i=1,mx
c        # exponents with more than 2 digits cause problems reading
c        # into matlab... reset tiny values to zero:
         do m=1,meqn
            if (dabs(q(i,m)) .lt. 1.0d-30) q(i,m) = 0.d0
            enddo
c
         write(50,1005) aux(i,2),(q(i,m),m=1,meqn)        
         enddo   
c
      close(unit=50)
      return
c
 1005 format(4e20.12)
      end
