c
c -----------------------------------------------------
c
      subroutine q2qlqr_bvd(maxm,meqn,mbc,maux,mx,dx,
     &           q,aux,ql,qr,auxl,auxr,q1l,q1r,q2l,q2r,
     &           qp1l,qp1r,qp2l,qp2r,uu)
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxm+mbc,meqn)
      dimension aux(1-mbc:maxm+mbc,maux)
      dimension ql(1-mbc:maxm+mbc,meqn)
      dimension qr(1-mbc:maxm+mbc,meqn)
      dimension auxl(1-mbc:maxm+mbc,maux)
      dimension auxr(1-mbc:maxm+mbc,maux)
      dimension q1l(1-mbc:maxm+mbc,meqn)
      dimension q1r(1-mbc:maxm+mbc,meqn)
      dimension q2l(1-mbc:maxm+mbc,meqn)
      dimension q2r(1-mbc:maxm+mbc,meqn)
      dimension qp1l(1-mbc:maxm+mbc,meqn)
      dimension qp1r(1-mbc:maxm+mbc,meqn)
      dimension qp2l(1-mbc:maxm+mbc,meqn)
      dimension qp2r(1-mbc:maxm+mbc,meqn)
      dimension uu(1-mbc:maxm+mbc,meqn,2)
      dimension dql(0:3),dqr(0:3),delq(0:8)
c
c     # boundary variation diminishing reconstruction scheme
c
      do m=1,meqn
         do i=2-mbc,mx+mbc
            dql(0) = dabs(q1r(i-1,m)-q1l(i,m))
            dql(1) = dabs(q1r(i-1,m)-q2l(i,m))
            dql(2) = dabs(q2r(i-1,m)-q1l(i,m))
            dql(3) = dabs(q2r(i-1,m)-q2l(i,m))
c      
            dqr(0) = dabs(q1r(i,m)-q1l(i+1,m))
            dqr(1) = dabs(q1r(i,m)-q2l(i+1,m))
            dqr(2) = dabs(q2r(i,m)-q1l(i+1,m))
            dqr(3) = dabs(q2r(i,m)-q2l(i+1,m))
c      
            delq(0) = dql(0)+dqr(0)
            delq(1) = dql(0)+dqr(1)
            delq(2) = dql(2)+dqr(0)
            delq(3) = dql(2)+dqr(1)
            delq(4) = dql(3)+dqr(3)
            delq(5) = dql(3)+dqr(2)
            delq(6) = dql(1)+dqr(3)
            delq(7) = dql(1)+dqr(2)
c      
            Id = 0
            do j=1,7
               if (delq(0) > delq(j)) then
                   Id = j
                   delq(0) = delq(j)
               endif
               enddo
c      
            if (Id > 3) then
                ql(i,m) = q2l(i,m)
                qr(i,m) = q2r(i,m)
         
            else
                ql(i,m) = q1l(i,m)
                qr(i,m) = q1r(i,m)
            endif
            enddo
         enddo
      return
c
      end
