c
c ------------------------------------------------------------------
c
      subroutine claw_maloc(mx,maxmx,meqn,mwaves,mbc,
     &           maux,mwork,mrkwork,method)
      implicit double precision (a-h,o-z)
      dimension method(10)
c
c     # clawpack memory allocation check 
c
c     # memory for Runge-Kutta stages
      mrkwork1 = (maxmx+2*mbc)*meqn
c
      mwork1 = 0
c
c     # memorye in tclaw
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*maux
      mwork1 = mwork1+(maxmx+2*mbc)*maux
      mwork1 = mwork1+(maxmx+2*mbc)*meqn*mwaves
      mwork1 = mwork1+(maxmx+2*mbc)*mwaves
      mwork1 = mwork1+(maxmx+2*mbc)
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*maux
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
c
c     # memory in step 1
      mwork1 = mwork1+(maxmx+2*mbc)*meqn*mwaves
      mwork1 = mwork1+(maxmx+2*mbc)*meqn*mwaves
      mwork1 = mwork1+(maxmx+2*mbc)*meqn*2
      mwork1 = mwork1+(maxmx+2*mbc)*5
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
c
c     # memory in out1
      mwork1 = mwork1+(maxmx+2*mbc)*meqn
c
      if (method(10) .eq. 1) then
c         # momory in a4step1
c         # eg, interface sharpening step
c
          mwork1 = mwork1+maxmx+2*mbc
          mwork1 = mwork1+maxmx+2*mbc
          mwork1 = mwork1+maxmx+2*mbc
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
      elseif (method(10) .eq. 2) then
c         # memory in an1step 
c         # eg, diffusive step for drift-velocity modelling
c
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
      elseif (method(10) .eq. 3) then
c         # memory in b4step1 
c         # eg, aux step
c
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
      elseif (method(10) .eq. 4) then
c         # memory in a4step1
c         # eg, Helmholtz solver step
c
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)
      elseif (method(10) .eq. 5) then
c         # memory in an1step 
c         # eg, diffusive step for binary diffusion
c
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
      elseif (method(10) .eq. 6) then
c             # memory in an1step (for diffusive step)
c             # with rkc
c
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+(maxmx+2*mbc)*meqn
          mwork1 = mwork1+5*(maxmx+2*mbc)*meqn
      endif
c
      if (mx .gt. maxmx .or. mwork .lt. mwork1 .or. 
     &    mrkwork .lt. mrkwork1) then
c         # insufficient storage
          maxmx1 = max0(mx,maxmx)
c
c         # memory for Runge-Kutta stages
          mrkwork1 = (maxmx1+2*mbc)*meqn
c
          mwork1 = 0
c         # memorye in tclaw
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*maux
          mwork1 = mwork1+(maxmx1+2*mbc)*maux
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn*mwaves
          mwork1 = mwork1+(maxmx1+2*mbc)*mwaves
          mwork1 = mwork1+(maxmx1+2*mbc)
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*maux
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
c
c         # memory in step 1
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn*mwaves
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn*mwaves
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn*2
          mwork1 = mwork1+(maxmx1+2*mbc)*5
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
c
c         # memory in out1
          mwork1 = mwork1+(maxmx1+2*mbc)*meqn
c
          if (method(10) .eq. 1) then
c             # momory in a4step1
c             # eg, interface sharpening step
c
              mwork1 = mwork1+maxmx1+2*mbc
              mwork1 = mwork1+maxmx1+2*mbc
              mwork1 = mwork1+maxmx1+2*mbc
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          elseif (method(10) .eq. 2) then
c             # memory in an1step 
c             # eg, diffusive step for drift-velocity modelling
c
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          elseif (method(10) .eq. 3) then
c             # memory in b4step1 
c             # eg, aux step
c
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
          elseif (method(10) .eq. 4) then
c             # memory in a4step1
c             # eg, Helmholtz solver step
c
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)
          elseif (method(10) .eq. 5) then
c             # memory in an1step 
c             # eg, diffusive step for binary diffusion
c
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
          elseif (method(10) .eq. 6) then
c             # memory in an1step (for diffusive step)
c             # with rkc
c
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+(maxmx1+2*mbc)*meqn
              mwork1 = mwork1+5*(maxmx1+2*mbc)*meqn
          endif
c
          write(6,*) ' '
          write(6,*) 'Insufficient memory allocation'
          write(6,*) 'Recompile after increasing values in driver.f:'
          write(6,611) maxmx1
          write(6,613) mwork1
          write(6,615) mrkwork1
          stop
      endif
      return
c
 611  format(/,'parameter(maxmx = ',i9,')')
 613  format('parameter(mwork = ',i9,')',/)
 615  format('parameter(mrkwork = ',i9,')',/)
      end
