c
c --------------------------------------------------------------
c
      subroutine qinit(maxmx,meqn,mbc,mx,xlower,dx,
     &           q,maux,aux)
      implicit double precision (a-h,o-z)
      common /loops/ xloop(10),yloop(10),zloop(10),rloop(10),
     &        axloop(10),bxloop(10),inbloop(2,2,10)
      common /mfluid/ geos(10),an(10),bn(10),cn(10),
     &        dn(10),en(10),rref(10),c2ref(10),tref(10),
     &        cv(10),emu(10),rhocav(10),pcav(10),
     &        ccav(10),rhosat(10),psat(10),csat(10),
     &        rhovm1(10),rhovm2(10),psi(10),zf(10),zv(10),
     &        mwoods,mphase
      common /phypar/ den0,velx0,vely0,velz0,pr0
      dimension q(1-mbc:maxmx+mbc,meqn)
      dimension aux(1-mbc:maxmx+mbc,maux)
      dimension qloc(20),aux0(20)
c
c     # set initial conditions for q
c     # rectangular function
c
      do i=1-mbc,mx+mbc
c        # scale coefficient in front of u_{xxt}
         aux(i,5) = an(1)
c
c        # auxiliary variables
         do ma=6,7
            aux(i,ma) = bn(1)
            enddo
         enddo
c
      eL = xloop(1)
c
      do i=1-mbc,mx+mbc
         xc = aux(i,2)
c
         do ma=1,maux
            aux0(ma) = aux(i,ma)
            enddo
c
         if (dabs(xc) .lt. eL) then
             u = rref(1)
             v = -0.25d0*(dexp(-xc-eL)+dexp(xc-eL))
             w = 0.0d0
         else
             u = rref(2)
             w = 0.0d0
c
             if (xc .lt. -eL) then
                 v = 0.25d0*(dexp(xc+eL)-dexp(xc-eL))
             else
                 v = 0.25d0*(dexp(-xc+eL)-dexp(-xc-eL))
             endif
         endif
c
         call prmtoc(qloc,aux0,u,v,w)
c
         do m=1,meqn
            q(i,m) = qloc(m)
            enddo
         enddo
      return    
c      
      end
